Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Get cycle

GET/workspaces/{organizationId}/cycles/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Responses
200

Cycle

idstringrequired
organizationIdstringrequired
projectIdstring | nullrequired
namestringrequired
numbernumber | nullrequired
statusstringrequired
Allowed:upcomingactivecompleted
autoRolloverbooleanrequired
archivedAtstring | nullrequired
startDatestring | nullrequired
endDatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/cycles/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "organizationId": "string",
  "projectId": "string",
  "name": "string",
  "number": 0,
  "status": "upcoming",
  "autoRollover": true,
  "archivedAt": "string",
  "startDate": "string",
  "endDate": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?